<%@ Control Language="vb" Inherits="ASPNetPortal.slider" AutoEventWireup="false" CodeBehind="slider.ascx.vb" EnableViewState="False" %> 
<script src="<% =getThemePath() %>/js/proslider/owl.carousel.js" type="text/javascript"></script>
<div class="slider module">
    <% If HeaderVisible Then%>
    <div class="moduleTitle">
        <%=ModuleTitle%>
        <% If IsEditable Then%>
        <a href="<%=EditNavigateUrl %>" class="moduleTitleEdit"><%=EditText %></a>
        <% End If%>
    </div>
    <% End If%>
    <div id="sliderContainer" class="">
        <asp:Repeater ID="rpt1" runat="server">
            <HeaderTemplate>
            <div id="owl-slider">
            </HeaderTemplate>
            
            <ItemTemplate>
            <div class="item">
                <a href="<%# Container.DataItem("SlideUrl").ToString %>">
                 
                    <img class="image lazyOwl"  alt="<%# Container.DataItem("SlideTitle").ToString %>" src="<%# Container.DataItem("SlideImage").ToString %>" />
                </a>
            </div>
            </ItemTemplate>
            
            <FooterTemplate>
            </div>
            </FooterTemplate>
        </asp:Repeater>
        
        <asp:Repeater ID="rpt2" runat="server" Visible="false">
            <HeaderTemplate>
                <ul class="pager">
            </HeaderTemplate>
            <ItemTemplate>
                <li><a rel="<%# Container.ItemIndex %>" class="pagenum" href="#"><%#Container.ItemIndex + 1%></a></li>
            </ItemTemplate>
            <FooterTemplate></ul></FooterTemplate>
        </asp:Repeater>
        
        <div class="clear"></div>

		<script type="text/javascript">
			$(document).ready(function() {
			
			  $("#owl-slider").owlCarousel({
			 
				  navigation : true, // Show next and prev buttons
				  slideSpeed : 300,
				  paginationSpeed : 400,
				  singleItem:true,
				  navigationText : false,
				  autoPlay : 3000,
				  lazyLoad : true,
				  items : 1, 
				  itemsDesktop : true,
				  itemsDesktopSmall : true,
				  itemsTablet: true,
				  itemsMobile : true
			 
			  });
			});
        </script>
            
            
    </div>
</div> 